package com.gh.gamecenter;

import android.content.Context;
import android.content.Intent;
import android.os.Bundle;

import androidx.annotation.NonNull;

import com.therouter.router.Route;
import com.gh.gamecenter.common.base.activity.ToolBarActivity;
import com.gh.gamecenter.common.constant.EntranceConsts;
import com.gh.gamecenter.common.constant.RouteConsts;
import com.halo.assistant.fragment.ApkCleanerFragment;

/**
 * Created by khy on 2017/1/24.
 * 清理安装包
 */
@Route(path = RouteConsts.activity.cleanApkActivity)
public class CleanApkActivity extends ToolBarActivity {

    @NonNull
    public static Intent getIntent(Context context) {
        return getIntent(context, false);
    }

    @NonNull
    public static Intent getIntent(Context context, Boolean isChooseApk) {
        Bundle bundle = new Bundle();
        bundle.putBoolean(EntranceConsts.KEY_IS_CHOOSE_APK, isChooseApk);
        return getTargetIntent(context, CleanApkActivity.class, ApkCleanerFragment.class, bundle);
    }

    @NonNull
    public static Intent getIntent(Context context, Boolean isChooseApk, String platformRequestsId) {
        Bundle bundle = new Bundle();
        bundle.putBoolean(EntranceConsts.KEY_IS_CHOOSE_APK, isChooseApk);
        bundle.putString(EntranceConsts.KEY_PLATFORM_REQUESTS_ID, platformRequestsId);
        return getTargetIntent(context, CleanApkActivity.class, ApkCleanerFragment.class, bundle);
    }

    @Override
    protected Intent provideNormalIntent() {
        return getIntent(this);
    }
}
